#include <SPI.h>
#include "RF24.h"
#include <Servo.h>

Servo myservo1;
Servo myservo2;
Servo myservo3;
Servo myservo4;
Servo myservo5;
Servo myservo6;
Servo myservo7;

RF24 myRadio (7, 8);

struct package
{
  int buttonState = 0;
  int mot = 0;
  int vs = 90;
  int X1 = 1;
  int Y1 = 1;
  int X2 = 1;
  int Y2 = 1;
  int but1 = 100;
  int but2 = 100;
  int Ceg = 0;
};

byte addresses[][6] = {"0"};


typedef struct package Package;
Package data;

void setup()
{
  pinMode(2, OUTPUT);
  myservo1.attach(2); // Vertical Stabilizer
  myservo2.attach(3); // Motor
  myservo3.attach(4); // Right Wing
  myservo4.attach(5); // Left Wing
  myservo5.attach(6); // Landing Gear Director
  myservo6.attach(9); // Stabilizer
  myservo7.attach(10); // Stabilizer
  Serial.begin(115200);
  delay(1000);

  myRadio.begin();
  myRadio.setChannel(115);
  myRadio.setPALevel(RF24_PA_MAX);
  myRadio.setDataRate( RF24_250KBPS ) ;

}


void loop()
{
  myRadio.openWritingPipe( addresses[0]);
  myRadio.openReadingPipe(1, addresses[0]);
  myRadio.startListening();

  data.Ceg = analogRead(A4);

  if ( myRadio.available())
  {

    while (myRadio.available())
    {
      myRadio.read( &data, sizeof(data) );
    }
    int X1 = data.X1;
    int Y1 = data.Y1;
    int X2 = data.X2;
    int Y2 = data.Y2;
    int vs = data.vs;
    int mot = data.mot;
    Serial.print("X1;..");
    Serial.print(X1);
    Serial.print("...Y1;..");
    Serial.print(Y1);
    Serial.print("...X2;..");
    Serial.print(X2);
    Serial.print("...Y2;..");
    Serial.println(Y2);

    myservo1.write(vs);
    myservo5.write(vs); // Servo1 and Servo5 will be same angle in same time(landing gear and vertical stabilizer)
    myservo2.write(mot); // Motor on 3. pin

    Y1 = map(Y1, 0, 1023, 55, 125);
    myservo3.write(Y1); // Right Wing
    myservo4.write(Y1); // Left Wing


    X1 = map(X1, 0, 1023, 45, 135);
    int X11 = (135 - X1) + 45;
    myservo6.write(X1); // Right Wing
    myservo7.write(X11); // Left Wing


  }
}
